org.apache.hadoop.yarn.client.api.async.impl

## Class NMClientAsyncImpl.StatefulContainer

- java.lang.Object
- - org.apache.hadoop.yarn.client.api.async.impl.NMClientAsyncImpl.StatefulContainer

- All Implemented Interfaces:
    org.apache.hadoop.yarn.event.EventHandler<NMClientAsyncImpl.ContainerEvent>
  Enclosing class:
    NMClientAsyncImpl

      protected static class NMClientAsyncImpl.StatefulContainer
      extends Object
      implements org.apache.hadoop.yarn.event.EventHandler<NMClientAsyncImpl.ContainerEvent>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `NMClientAsyncImpl.StatefulContainer.OutOfOrderTransition`
    `protected static class` | `NMClientAsyncImpl.StatefulContainer.ReInitializeContainerTransition`
    `protected static class` | `NMClientAsyncImpl.StatefulContainer.StartContainerTransition`
    `protected static class` | `NMClientAsyncImpl.StatefulContainer.StopContainerTransition`
    `protected static class` | `NMClientAsyncImpl.StatefulContainer.UpdateContainerResourceTransition`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.apache.hadoop.yarn.state.StateMachineFactory<NMClientAsyncImpl.StatefulContainer,NMClientAsyncImpl.ContainerState,NMClientAsyncImpl.ContainerEventType,NMClientAsyncImpl.ContainerEvent>` | `stateMachineFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatefulContainer(NMClientAsync client, org.apache.hadoop.yarn.api.records.ContainerId containerId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.yarn.api.records.ContainerId` | `getContainerId()`
    `NMClientAsyncImpl.ContainerState` | `getState()`
    `void` | `handle(NMClientAsyncImpl.ContainerEvent event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### stateMachineFactory

          protected static final org.apache.hadoop.yarn.state.StateMachineFactory<NMClientAsyncImpl.StatefulContainer,NMClientAsyncImpl.ContainerState,NMClientAsyncImpl.ContainerEventType,NMClientAsyncImpl.ContainerEvent> stateMachineFactory

  - ### Constructor Detail

    - #### StatefulContainer

          public StatefulContainer(NMClientAsync client,
                                   org.apache.hadoop.yarn.api.records.ContainerId containerId)

  - ### Method Detail

    - #### handle

          public void handle(NMClientAsyncImpl.ContainerEvent event)

      Specified by:
        `handle` in interface `org.apache.hadoop.yarn.event.EventHandler<NMClientAsyncImpl.ContainerEvent>`

    - #### getContainerId

          public org.apache.hadoop.yarn.api.records.ContainerId getContainerId()

    - #### getState

          public NMClientAsyncImpl.ContainerState getState()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.